Package docking.widgets.table.constraint

# Class StringNotEndsWithColumnConstraint

java.lang.Object
docking.widgets.table.constraint.StringColumnConstraint
docking.widgets.table.constraint.StringEndsWithColumnConstraint
docking.widgets.table.constraint.StringNotEndsWithColumnConstraint

All Implemented Interfaces:
  `ColumnConstraint<String>`, `Comparable<ColumnConstraint<String>>`

public class StringNotEndsWithColumnConstraint extends StringEndsWithColumnConstraint
String column constraint for matching column values if they don't end with the constraint value pattern.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `matchesPattern`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringNotEndsWithColumnConstraint(String patternString)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accepts(String value, TableFilterContext context)`
  Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
  `ColumnConstraint<String>`
  `copy(String newPatternString)`
  subclasses must override to generate new versions of themselves but with a new pattern string.
  `String`
  `getGroup()`
  Returns a "group" string that is used to logically group column constraints for presentation to the user
  `String`
  `getName()`
  Returns the name of the constraint

  ### Methods inherited from class docking.widgets.table.constraint.StringEndsWithColumnConstraint

  `generateMatchesPattern`

  ### Methods inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `equals, generateFindsPattern, getColumnType, getConstraintValueString, getConstraintValueTooltip, getEditor, getHighlightMatcher, getPatternString, hashCode, isValidPatternString, parseConstraintValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.constraint.ColumnConstraint

  `asString, compareTo`

- ## Constructor Details

  - ### StringNotEndsWithColumnConstraint

    public StringNotEndsWithColumnConstraint(String patternString)
    Constructor
    Parameters:
      `patternString` - the string to use to create an "ends with" pattern.

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `ColumnConstraint`
    Returns the name of the constraint
    Specified by:
      `getName` in interface `ColumnConstraint<String>`
    Overrides:
      `getName` in class `StringEndsWithColumnConstraint`
    Returns:
      the name of the constraint.

  - ### getGroup

    public String getGroup()
    Description copied from interface: `ColumnConstraint`
    Returns a "group" string that is used to logically group column constraints for presentation to the user
    Specified by:
      `getGroup` in interface `ColumnConstraint<String>`
    Overrides:
      `getGroup` in class `StringColumnConstraint`
    Returns:
      the group this constraint belongs to.

  - ### accepts

    public boolean accepts(String value, TableFilterContext context)
    Description copied from interface: `ColumnConstraint`
    Compares value against the current constraint value to determine acceptance; true if value satisfies the constraints' value, false otherwise
    Specified by:
      `accepts` in interface `ColumnConstraint<String>`
    Overrides:
      `accepts` in class `StringColumnConstraint`
    Parameters:
      `value` - the column value to be tested.
      `context` - provides additional information about the table and its data. This allows the filter to base its decision on information other than just the column value.
    Returns:
      true if the column value passes the constraint, false otherwise

  - ### copy

    public ColumnConstraint<String> copy(String newPatternString)
    Description copied from class: `StringColumnConstraint`
    subclasses must override to generate new versions of themselves but with a new pattern string.
    Overrides:
      `copy` in class `StringEndsWithColumnConstraint`
    Parameters:
      `newPatternString` - the new string to use for creating the match pattern.
    Returns:
      a new ColumnConstraint that is the same type as this constraint but with a new range defined.